Subject: Re: bug#35791: 12.1.2; Cannot preview anything, Latex found no preview images

From: Pim Remkes <[email-masked]>
Date: Wed, 22 May 2019 00:56:03 +0200

Hey Reinhard,

Thank you for your explanation and your advice, I downloaded tlgs-9.26 
and used it instead of version 9.27,
this fixed the issues and is a bit cleaner than using the MiKTeX 
ghostscript.

Kind regards,

Pim Remkes

Op 5/21/2019 om 11:11 PM schreef Reinhard Kotucha:
> On 2019-05-21 at 03:29:57 +0200, Pim Remkes wrote:
>
>   > Hey,
>   >
>   > I've gotten my setup working now but it took some more trouble then
>   > just switching to tex live. After having done this I had issues
>   > with the current version of 'rungs' included in tex live 2019. The
>   > issues I got were similar to
>   > https://bugs.ghostscript.com/show_bug.cgi?id=698680 if anyone is
>   > interested. I was able to fix this (for now) by making use of
>   > 'mgs.exe' included with MiKTeX.
>
> Hi Pim,
> you mention the "current version" of 'rungs' but nothing was changed
> here for more than a decade.
>
> Let me explain what rungs is and what it does.
>
> Some dvips/dvipdf* configuration files contain ghostscript commands
> but the binary is called 'gs' on Unix and 'gswin32c' on Windows.
> These configuration files are static and cannot contain conditional
> code.  In order to support all platforms I wrote a tiny Lua script
> texmf-dist/scripts/texlive/rungs.tlu which executes 'gs' on Unix and
> 'gswin32c' on Windows and passes all cmdline arguments to the binary.
> In so far 'rungs' is just another name for 'gs' or 'gswin32c'.
>
> On Unix, bin/<platform>/rungs is a symbolic link to the Lua script.
> On Windows however, the situation is a bit more complicated.  The file
> bin/win32/rungs.exe is a generic wrapper which passes its arguments to
> bin/win32/runscript.tlu.  The latter adds the Perl and Ghostscript
> shipped with TeX Live to PATH and then calls rungs.tlu which executes
> gswin32c.
>
> If you are interested in all the gory details, look into
> bin/win32/runscript.tlu.  This file contains a detailed description.
>
> I suggested to use mgs and rungs in AUCTeX as well because otherwise
> Windows users had to install Ghostscript separately.
>
> rungs.tlu has not been changed for a decade at all.  If rungs and mgs
> behave differently, the most likely reason is that MiKTeX provides an
> older version of Ghostscript.  TeX Live provides gs-9.27 for a couple
> of days.  You can check version numbers with
>
>    rungs -help
>    mgs -help
>
> You can also try with the previous release:
>
> Extract
>
>    http://ms25.ddns.net/texlive/w32/ghostscript/tlgs-9.26.tar.xz
>
> in
>
>    texlive/2019/tlpkg
>
> and execute
>
>    rename tlgs tlgs-9.27
>    rename tlgs-9.26 tlgs
>
> Regards,
>    Reinhard
>
> --
> ------------------------------------------------------------------
> Reinhard Kotucha                            Phone: +49-511-3373112
> Marschnerstr. 25
> D-30167 Hannover                    mailto:[email-masked]
> ------------------------------------------------------------------